

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * The test class BauerTest.
 *
 * @author  Birgit Demuth
 * @version 27.04.2015
 */
public class BauerTest
{
    Bauer bauer;
    
    /**
     * Default constructor for test class BauerTest
     */
    public BauerTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    @Before
    public void setUp()
    {
        bauer = new Bauer();    
    }

    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    @After
    public void tearDown()
    {
    }
    
    @Test (expected = IllegalArgumentException.class)
    public void testSteuerB1() {
		 bauer.setEinkommen(-1);
	}

	@Test
	public void testSteuerB2() {
		bauer.setEinkommen(0);
		assertEquals(1,bauer.steuer());
	}

	@Test
	public void testSteuerB3() {
		bauer.setEinkommen(20);
		assertEquals(2,bauer.steuer());
	}

	@Test
	public void testSteuerB4() {
		bauer.setEinkommen(25);
		assertEquals(2,bauer.steuer());
	}
}
