package tests;

import junit.framework.TestCase;
import koenigreich.Adel;

public class AdelTest extends TestCase {

	private Adel adel;

	protected void setUp() {
		adel = new Adel();
	}

	public void testSteuerA1() {
		try {
			adel.setEinkommen(-1);
			fail("fehlende Exception");
		} catch (IllegalArgumentException e) {
			assertEquals("Einkommen darf nicht negativ sein", e.getMessage());
		} catch (Exception e) {
			fail("Nicht erwartete Exception aufgetreten");
		}
	}

	public void testSteuerA2() {
		adel.setEinkommen(0);
		assertEquals(20, adel.steuer());
	}

	public void testSteuerA3() {
		adel.setEinkommen(10);
		assertEquals(20, adel.steuer());
	}

	public void testSteuerA4() {
		adel.setEinkommen(20);
		assertEquals(20, adel.steuer());
	}

	public void testSteuerA5() {
		adel.setEinkommen(253);
		assertEquals(25, adel.steuer());
	}
}