package koenigreich;

public class Einwohner {

	protected int einkommen;									// tatsächliches Jahreseinkommen

	public int zuVersteuerndesEinkommen() {
		return einkommen;										// Standardfall nach (1.)
	}

	public int steuer() {
		int steuerTaler = zuVersteuerndesEinkommen() / 10;		// 10% vom zu versteuernden Einkommen
		if (steuerTaler < 1) steuerTaler = 1;					// minimale Steuer sicherstellen
		return steuerTaler;										// Änderungen an (2.) wirken sich nur hier aus; auch, falls sich Berechnungsschema ändert
	}

	public void setEinkommen(int einkommen) {
		if(einkommen < 0) {										// negative Einkommen verbieten
			//throw new IllegalArgumentException("Einkommen darf nicht negativ sein");
		    einkommen = 0;                                   // Provokation des Aufrufes der fail()-Methode
		}
		this.einkommen = einkommen;
	}
}

