
import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * The test class EinwohnerTest.
 *
 * @author  Birgit Demuth
 * @version 27.04.2015
 */
public class EinwohnerTest
{
    protected Einwohner einwohner;
    /**
     * Default constructor for test class EinwohnerTest
     */
    public EinwohnerTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    @Before
    public void setUp()
    {
        einwohner = new Einwohner();
    }

    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    @After
    public void tearDown()
    {
    }
    
    /** 
     * Test ob negative Einkommen verboten sind
     */
    @Test
    public void testSteuerE1() {
    }
	
	
	/** 
	 * Test ob die Mindeststeuer sichergestellt ist
	 */
	@Test
	public void testSteuerE2() {					
		einwohner.setEinkommen(0);
		assertEquals(1,einwohner.steuer());
	}

    /** 
     * Test mit einem beliebigen Wert
     */
    @Test
    public void testSteuerE3() {				
		einwohner.setEinkommen(20);
		assertEquals(2,einwohner.steuer());
	}
	
	/** 
	 * Test, ob abgerundet wird
	*/
    @Test
    public void testSteuerE4() {					// 
		einwohner.setEinkommen(25);
		assertEquals(2,einwohner.steuer());
	}
}
