package tests;

import junit.framework.TestCase;
import koenigreich.Einwohner;

public class EinwohnerTest extends TestCase {

	protected Einwohner einwohner;

	protected void setUp() {
		einwohner = new Einwohner();
	}

	public void testSteuerE1() {												// Test, dass bei negativen Einkommen das Einkommen auf 0 gesetzt wird..
		einwohner.setEinkommen(-1);
		assertEquals(1,einwohner.steuer());
	}

	public void testSteuerE2() {					// Test ob die Mindeststeuer sichergestellt ist
		einwohner.setEinkommen(0);
		assertEquals(1,einwohner.steuer());
	}

	public void testSteuerE3() {					// Test mit einem beliebigen Wert
		einwohner.setEinkommen(20);
		assertEquals(2,einwohner.steuer());
	}

	public void testSteuerE4() {					// Test ob abgerundet wird
		einwohner.setEinkommen(25);
		assertEquals(2,einwohner.steuer());
	}
}